#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9D,0xA7,0xCB,0x9A,0x12,0x53,0xBE,0xC6,0x3E,0x56,0xDE,0x3D,
		0x27,0x5E,0x15,0xA1,0x82,0x7C,0xB2,0xA3,0xC4,0x86,0x89,0x7C,
		0x9E,0x46,0x0F,0xF1,0xDF,0x4D,0x6A,0xEB,0x2B,0xFA,0x0B,0x89,
		0xCF,0xAA,0xFD,0x8D,0x79,0x39,0x82,0xD4,0xD2,0x90,0xDA,0x39,
		0xA0,0x66,0xD5,0xD5,0xD9,0x2B,0xB9,0xB2,0x7C,0x60,0xE4,0xC1,
		0x12,0x93,0xFC,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
